Inactive [ADMN/INFO] Permissions v2.1 - Continuing the legacy.

Discussion in 'Inactive/Unsupported Plugins' started by Nijikokun, Jan 21, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    Nijikokun

    Permissions 2.1 (Handler)
    Download 2.1 (Jar Only)
    Older: 2.0, 1.9, 1.8, 1.7, 1.6, 1.5, 1.4, 1.3, 1.2, 1.1, 1.0

    Permissions... Done right.
    Permissions allows plugin-authors to utalize a permission system that handles group inheritance, globalized permission settings, and more. All the features of a fine-grained permission system in one plugin.​

    Features
    1. Groups
    2. Group Inheritance, Allows for groups to gain permissions from other groups.
    3. User Permission System
    4. Fine Grained Permission system.
      1. Allowing for Globalized permissions
    5. Easy to use, setup, and implement.
    6. Two cache layers, first from file to memory, then from memory to cache.
      1. Plugins can control cache since version 2.1
    7. And much more.
    For the users


    Permissions gives server admins great control, mostly in-game reloading. Simply use /pr and the file will be re-cached and never touched again until you need to reload it. This allows you to quickly give your users the commands that they need without having to restart the server.

    Installation for 2.0 down:
    1. Download the archive.
    2. Extract contents to the /plugins folder.
    3. Open up /plugins/Permissions/config.yml
      1. Read / modify.
      2. Save.
    4. Reload Server.
    Changelog

    • 2.1
      • Multiple-World support
      • New cache layer, and cache control support for plugins
      • Editing features for plugins to hook into
      • Exempt nodes
      • World copying
    • 2.0
      • Forgot.
    • 1.9
      • Fully fixes inheritance.
        • Groups now inherit groups of groups that inherit groups of...
      • Cache system implemented.
      • Plugin authors can now delegate a variable system if needed.
      • API Updated with two new functions to get the point of what they do across.
        • Along with the new variable checks.
    • 1.8
      • Fixes the broken globalized node issue.
        • node.* is called a `globalized node`
    Supporting Plugins




    I have hit the character limit for this post.​

    Thanks to:
    • sk89q for hiearchical and node system idea.
    • Creator of GroupUsers for api implementation.
    This author has stopped development of this plugin. It is no longer supported and I wouldn't ask for help here, as you won't get any. New Permissions
    -RightLegRed
     
  2. Offline

    bugonstick

    "(Nothing is broken, we just like to keep code clean.)"
    Calm down, nothing is wrong.
     
  3. Offline

    Jeppe

    Code:
    2011-02-22 17:24:21 [INFO] Starting minecraft server version Beta 1.2_01
    2011-02-22 17:24:21 [INFO] Loading properties
    2011-02-22 17:24:21 [INFO] Starting Minecraft server on *:25565
    2011-02-22 17:24:21 [INFO] This server is running Craftbukkit version git-Bukkit
    -0.0.0-441-g1d7f86b-b415jnks (MC: 1.2_01)
    2011-02-22 17:24:21 [INFO] Preparing level "Planeten"
    2011-02-22 17:24:21 [INFO] Preparing start region
    2011-02-22 17:24:22 [INFO] Preparing spawn area: 24%
    2011-02-22 17:24:23 [INFO] Preparing spawn area: 61%
    2011-02-22 17:24:24 [INFO] Preparing spawn area: 89%
    2011-02-22 17:24:24 [WARNING] Using the stupidly long constructor org.bukkit.ear
    th2me.essentials.Essentials(PluginLoader, Server, PluginDescriptionFile, File, F
    ile, ClassLoader) is no longer recommended. Go nag the plugin author of Essentia
    ls to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-22 17:24:24 [INFO] Hint! It's probably someone called 'Zenexer'
    2011-02-22 17:24:24 [WARNING] Using the stupidly long constructor com.nijikokun.
    bukkit.General.General(PluginLoader, Server, PluginDescriptionFile, File, File,
    ClassLoader) is no longer recommended. Go nag the plugin author of General to re
    move it! (Nothing is broken, we just like to keep code clean.)
    2011-02-22 17:24:24 [WARNING] Plugin 'General' (ver 1.6) is registering events b
    efore it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-22 17:24:24 [WARNING] Plugin 'General' (ver 1.6) is registering events b
    efore it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-22 17:24:24 [INFO] [General] version [1.9] (Yakuza) loaded
    2011-02-22 17:24:24 [WARNING] Using the stupidly long constructor com.nijikokun.
    bukkit.iChat.iChat(PluginLoader, Server, PluginDescriptionFile, File, File, Clas
    sLoader) is no longer recommended. Go nag the plugin author of iChat to remove i
    t! (Nothing is broken, we just like to keep code clean.)
    2011-02-22 17:24:24 [WARNING] Plugin 'iChat' (ver 1.0) is registering events bef
    ore it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-22 17:24:24 [INFO] [iChat] version [1.0] (Reborn) loaded
    2011-02-22 17:24:24 [WARNING] Using the stupidly long constructor com.nijikokun.
    bukkit.iConomy.iConomy(PluginLoader, Server, PluginDescriptionFile, File, File,
    ClassLoader) is no longer recommended. Go nag the plugin author of iConomy to re
    move it! (Nothing is broken, we just like to keep code clean.)
    2011-02-22 17:24:24 [WARNING] Plugin 'iConomy' (ver 2.0) is registering events b
    efore it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-22 17:24:24 [WARNING] Plugin 'iConomy' (ver 2.0) is registering events b
    efore it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-22 17:24:24 [INFO] [iConomy] version [2.2] (Aime) loaded
    2011-02-22 17:24:24 [WARNING] Using the stupidly long constructor com.griefcraft
    .lwc.LWCPlugin(PluginLoader, Server, PluginDescriptionFile, File, File, ClassLoa
    der) is no longer recommended. Go nag the plugin author of LWC to remove it! (No
    thing is broken, we just like to keep code clean.)
    2011-02-22 17:24:24 [INFO] LWC  [v1,46] Loading shared objects
    2011-02-22 17:24:24 [INFO] Config       [v1,46] Loaded 7 config entries
    2011-02-22 17:24:26 [INFO] Updater      [v1,46] Update detected for LWC
    2011-02-22 17:24:26 [INFO] Updater      [v1,46] Latest version: 1.53
    2011-02-22 17:24:26 [WARNING] Using the stupidly long constructor com.nijikokun.
    bukkit.Permissions.Permissions(PluginLoader, Server, PluginDescriptionFile, File
    , File, ClassLoader) is no longer recommended. Go nag the plugin author of Permi
    ssions to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-22 17:24:26 [WARNING] Plugin 'Permissions' (ver 1.0) is registering even
    ts before it is enabled. It may be misbehaving and the author needs to fix this.
    
    2011-02-22 17:24:26 [INFO] [Permissions] version [2.0] (Handler) loaded
    2011-02-22 17:24:26 [INFO] Loaded Essentials version 42 by Zenexer.
    2011-02-22 17:24:26 [INFO] iConomyChestShop version 0.71 is enabled!
    2011-02-22 17:24:26 [INFO] Updater      [v1,46] Update detected for LWC
    2011-02-22 17:24:26 [INFO] Updater      [v1,46] Latest version: 1.53
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loaded command : Admin
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loaded command : Create
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loaded command : Free
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loaded command : Info
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loaded command : Modes
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loaded command : Modify
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loaded command : Unlock
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] -> PLAYER_COMMAND
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] -> PLAYER_QUIT
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] -> ENTITY_EXPLODE
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] -> BLOCK_INTERACT
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] -> BLOCK_DAMAGED
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] -> BLOCK_RIGHTCLICKED
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Dev mode: FALSE
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Using Nijikokun's permissions plugin for
     permissions
    2011-02-22 17:24:26 [INFO] LWC  [v1,46] Loading SQLite
    2011-02-22 17:24:27 [INFO] PhysDB       [v1,46] Creating physical tables if need
    ed
    2011-02-22 17:24:27 [INFO] MemDB        [v1,46] Creating memory tables
    2011-02-22 17:24:27 [INFO] SQLite       [v1,46] Using: Pure
    2011-02-22 17:24:27 [INFO] Done! For help, type "help" or "?"
           
    
    is this something i can fix or???
     
  4. Offline

    bliseer


    yes. i will wait fix.

    it's not error. just Waring. but don't work. Because code clear.

    so now don't work iconomy and WormholeX.
     
  5. Offline

    GermanyMember

    when compatible with the 415?
     
  6. Offline

    Hybris95

    lol I love how people are getting crazy xD
    First) They don't read
    Second) They aren't precise when they call for help, not even giving the Bukkit version or whatever...just copy/paste the shell log ;D
    Third) They are not patient :p (well I'm not either ^^")
     
  7. Offline

    Ixbidie

    2011-02-22 20:07:21 [WARNING] Using the stupidly long constructor com.nijikokun.bukkit.Permissions.Permissions(PluginLoader, S
    erver, PluginDescriptionFile, File, File, ClassLoader) is no longer recommended. Go nag the plugin author of Permissions to re
    move it! (Nothing is broken, we just like to keep code clean.)

    2011-02-22 20:07:21 [WARNING] Plugin 'Permissions' (ver 1.0) is registering events before it is enabled. It may be misbehaving and the author needs to fix this.


    So, here I am .. nagging the author. Using build 416.

    Ixbidie
     
  8. Offline

    zazra

    If you want everything to keep working fine stay at bukkit version 328! then all your plugins will work, do not update it yet! as soon as new versions of the plugins come out, then update!!! So for now stay at build 328, or don't use your plugins, all up to you!
     
  9. Offline

    DIENER

    You don't always have to update to the latest build if you want it to work then use the recommended builds. All plugin developers should first of all make a working version on the recommended build before trying to make it work on the development builds.
    Introducing Recommended Builds
     
  10. Offline

    MationMac

    It took me alot of time to get this to work with general, but now it works perfectly! Thanks!
     
  11. Offline

    themanman0

    Whenever I start my server I get this error.
    Capture3.JPG
     
  12. Offline

    LucidLethargy

    If people need a stable version of Bukkit that works with permissions and at least 20 other plugins, here is the link to Craftbukkit 166/345 that I uploaded. The list of plugins it works with is on my server details page: http://www.paradigne.com/index.php/details/ Let me know if anyone needs the specific version of any of those plugins as well.

    <Edit by Moderator: Redacted mediafire url>
     
    Last edited by a moderator: Dec 15, 2016
  13. Offline

    gilliganxl

    im getting....well not an error but...it gets up to the loading of permissions and then stops, cant log into the server or stop the server it just....stops

    2011-02-22 17:28:59 [INFO] Starting minecraft server version Beta 1.2_01
    2011-02-22 17:28:59 [INFO] Loading properties
    2011-02-22 17:28:59 [INFO] Starting Minecraft server on *:25565
    2011-02-22 17:28:59 [INFO] This server is running Craftbukkit version git-Bukkit
    -0.0.0-409-gcb2bced (MC: 1.2_01)
    2011-02-22 17:28:59 [INFO] Preparing level "Gilligan's Island"
    2011-02-22 17:28:59 [INFO] Preparing start region
    2011-02-22 17:29:00 [INFO] Preparing spawn area: 24%
    2011-02-22 17:29:01 [INFO] Preparing spawn area: 61%
    2011-02-22 17:29:02 [INFO] Preparing spawn area: 97%
    2011-02-22 17:29:02 [INFO] [AntiBuild] version [1.0] (Reborn) loaded
    Rune CompassRune loaded!
    Rune ChronoTriggerRune loaded!
    Rune PowerToolRune loaded!
    Rune DoorRune loaded!
    Rune WaypointRune loaded!
    Rune OracleRune loaded!
    Rune FreezerRune loaded!
    2011-02-22 17:29:03 [INFO] [iChat] version [1.5] (Maria Holic) loaded
    2011-02-22 17:29:03 [INFO] [iConomy] version [2.2] (Aime) loaded
    2011-02-22 17:29:03 [INFO] [Permissions] version [2.0] (Handler) loaded
     
  14. Offline

    mrgreaper

    thought Nikikokun had stoped developing this ? there is a plugin that states its a sequal to permisions is that not the case?
     
  15. Offline

    rct2guy

    I'm getting this error when I start my server. It doesn't seem to effect performance or anything, but Bukkit says you need to fix it, and what Bukkit says is what goes. :D
    Code:
    2011-02-22 07:52:08 [WARNING] Plugin 'Permissions' (ver 1.0) is registering events before it is enabled. It may
    be misbehaving and the author needs to fix this.
     
  16. Offline

    Insanehero

    Working with beta 1.3 yet?
     
  17. Offline

    aPunch

    No. I doubt it will be updated anytime soon. First, Bukkit needs to release a Craftbukkit that works with 1.3. Then, plugin authors can get to work and update their plugins. I'd say a couple days until a new version of Permissions is released.

    Give him time, though. I'm certain he will come through for us. After all, Permissions is one of the most important plugins until Bukkit releases its own permissions system.
     
  18. Offline

    ShadowDrakken

    Bukkit build #419 is the first release for MC 1.3, so now it's just a matter of giving the plugin devs time to do their thing
     
  19. Offline

    Insanehero

    Sweet I can't wait to get this plugin back on my server.
     
  20. Offline

    Nathan C

    Yeh, I hope that Bukkit incorporates this soon!

    Because it seems the plugin author develop anymore. [​IMG]
     
  21. Offline

    ShadowDrakken

    I'm running this on Bukkit #419 (MC1.3) just fine... it has the constructor warning, but that doesn't prevent it from working correctly.
     
  22. Offline

    Tocksman

    Permissions have been broken for me ever since the 1.3 update. Everyone can use any command.
     
  23. Offline

    Nathan C

    Nope, my WorldEdit says "no suitable permissions system found".
     
  24. Offline

    kingnerd

    Yep, any user can use any command. I'll take a look at a quick fix in the morning if nobody else picks it up,
     
  25. Offline

    ShadowDrakken

    hrm, not sure... Perm 2.0 (downloaded yesterday) is working fine with Bukkit #419 and now #423 for me, I have quite a few plugins that won't even load without them and they're all working fine.
    etc
     
  26. Offline

    Moochie

    I just updated to bukkit 443 for Beta 1.3 and it seems that all my players now have access to all of the commands no matter what group they are in.
     
  27. Offline

    5DayForecast

    Other people are also having that issue. They're also waiting for an update.
     
  28. Offline

    axebyte

    Yup now that bukkit is working, we all need to wait for each and every Plugin to catch up. Just like it was in Hmod not sure why everyone is surprised by this.

    least this will force most of the plugins to be on the same page for a few days, they where starting to get pretty far appart in version numbers. Was starting to get to the point the newer plugins worked but the old important ones did not.
     
  29. Offline

    mrgreaper

    true

    some one wake up the author!!! :) mooo ha ha ah aha ha

    *mrgreaper does not condone waking up plugin developers
    --- merged: Feb 23, 2011 4:44 AM ---
    just hit me ...what if everyone having permission for everything is not a permissions error but a bukkit one (everyone classed as being in op.txt even if there not)
     
  30. Offline

    Phantom Index

    WHY GOD WHY!?!
     
  31. Offline

    Sol

    This.

    Hopefully we will get some much needed updating across the board... soon.

    ~Sol
     
Thread Status:
Not open for further replies.

Share This Page